Index: src/FinkiChattery/FinkiChattery.Api/Server/RegisterServices.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Server/RegisterServices.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Api/Server/RegisterServices.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,117 @@
+﻿using FinkiChattery.Api.Services;
+using FinkiChattery.Common.Mediator;
+using FinkiChattery.Common.Mediator.Interfaces;
+using FinkiChattery.Common.User;
+using FinkiChattery.Common.Validation;
+using FinkiChattery.Persistence.Context;
+using FinkiChattery.Persistence.Models;
+using MediatR;
+using Microsoft.AspNetCore.Authentication.JwtBearer;
+using Microsoft.AspNetCore.Http;
+using Microsoft.AspNetCore.Identity;
+using Microsoft.Extensions.Configuration;
+using Microsoft.Extensions.DependencyInjection;
+
+namespace FinkiChattery.Api.Server
+{
+    public static class RegisterServices
+    {
+        public static void AddMediator(this IServiceCollection services)
+        {
+            services.AddScoped<IMediatorService, MediatorService>();
+            services.AddScoped<IEventService, EventService>();
+            services.AddTransient(typeof(IPipelineBehavior<,>), typeof(ValidationBehavior<,>));
+
+            // TODO: REGISTER MEDIATOR HANDLERS WHEN WE CREATE FIRST COMMAND SMENI SO DOMAIN KLASA
+            services.AddMediatR(typeof(RegisterServices));
+        }
+
+        public static void AddSingletonServices(this IServiceCollection services)
+        {
+            services.AddSingleton<AppSettings, AppSettings>();
+        }
+
+        public static void AddIdentityService(this IServiceCollection services, IConfiguration configuration)
+        {
+            var appSettings = new AppSettings(configuration);
+
+            services.AddIdentity<ApplicationUser, ApplicationRole>(o =>
+            {
+                o.User.RequireUniqueEmail = true;
+            })
+            .AddEntityFrameworkStores<ApplicationDbContext>()
+            .AddDefaultTokenProviders();
+
+            services.AddAuthentication(options =>
+            {
+                options.DefaultAuthenticateScheme = JwtBearerDefaults.AuthenticationScheme;
+                options.DefaultChallengeScheme = JwtBearerDefaults.AuthenticationScheme;
+            }).AddJwtBearer(o =>
+            {
+                o.Authority = appSettings.IdentitySettings.Authority;
+                o.Audience = appSettings.IdentitySettings.Audience;
+                o.RequireHttpsMetadata = appSettings.IdentitySettings.RequireHttpsMetadata;
+            });
+
+            services.AddAuthorization();
+        }
+
+        public static void AddEmailService(this IServiceCollection services)
+        {
+            // TODO: Add email service
+            // services.AddScoped<IEmailService, EmailService>();
+        }
+
+        public static void AddCurrentUser(this IServiceCollection services)
+        {
+            services.AddScoped(x =>
+            {
+                var httpContext = x.GetRequiredService<IHttpContextAccessor>();
+                return CurrentUser.GetCurrentUser(httpContext);
+            });
+        }
+
+        public static void AddRepos(this IServiceCollection services)
+        {
+        }
+
+        public static void AddOriginUrlSettings(this IServiceCollection services)
+        {
+            // TODO: ADD ORIGIN URLS 
+            /*services.AddScoped<IOriginUrlSettings>(provider =>
+            {
+                var httpContextAccessor = provider.GetService<IHttpContextAccessor>();
+
+                string originUrl = string.Empty;
+                if (httpContextAccessor.HttpContext != null && httpContextAccessor.HttpContext.Request.Headers.TryGetValue("Origin", out StringValues headerValues))
+                {
+                    if (headerValues.FirstOrDefault() != null)
+                    {
+                        originUrl = headerValues.FirstOrDefault();
+                    }
+                }
+
+                return new OriginUrlSettings(originUrl);
+            });*/
+        }
+
+        public static void AddAwsClient(this IServiceCollection services, IConfiguration configuration)
+        {
+            // ADD AWS FOR MAILS AND S3 AND CDN
+            /*            var appSettings = new AppSettings(configuration);
+
+                        services.AddAWSService<IAmazonS3>();
+                        services.AddSingleton<IAmazonS3>(provider =>
+                        {
+                            return new AmazonS3Client(
+                                appSettings.AwsStorageSettings.AccessKey,
+                                appSettings.AwsStorageSettings.SecretKey,
+                                Amazon.RegionEndpoint.GetBySystemName(appSettings.AwsStorageSettings.StorageServerRegion));
+                        });
+                        services.AddScoped<IStorageService, AwsStorageService>();*/
+        }
+
+        // TODO: ADD HANGFIRE AND SCAFOLD DB IN HANGFIREDB
+    }
+
+}
Index: src/FinkiChattery/FinkiChattery.Api/Startup.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Startup.cs	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Api/Startup.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -2,8 +2,5 @@
 using FinkiChattery.Api.Server;
 using FinkiChattery.Api.Services;
-using FinkiChattery.Commands.Questioning;
 using FinkiChattery.Persistence.Context;
-using FluentValidation.AspNetCore;
-using Hangfire;
 using Microsoft.AspNetCore.Builder;
 using Microsoft.AspNetCore.Hosting;
@@ -35,20 +32,14 @@
             services.AddOriginUrlSettings();
             services.AddCurrentUser();
-            services.AddUnitOfWork();
+            services.AddRepos();
             services.AddAwsClient(Configuration);
-            services.AddHangfireService(Configuration);
-
-            string connectionString = "DefaultConnection";
-#if DEBUG_DOCKER
-            connectionString = "DefaultConnectionDocker";
-#endif
 
             services.AddDbContext<ApplicationDbContext>(options =>
-                options.UseSqlServer(Configuration.GetConnectionString(connectionString)));
+                options.UseSqlServer(Configuration.GetConnectionString("DefaultConnection")));
 
             services.AddControllers()
-                .ConfigureApiBehaviorOptions(options => options.InvalidModelStateResponseFactory = context => new BadRequestObjectResult(context.ModelState))
-                .AddFluentValidation(fv => fv.RegisterValidatorsFromAssemblyContaining<AskQuestionValidator>());
-            services.AddApiVersioning();
+                .ConfigureApiBehaviorOptions(options => options.InvalidModelStateResponseFactory = context => new BadRequestObjectResult(context.ModelState));
+            // TODO: validators
+            // .AddFluentValidation(fv => fv.RegisterValidatorsFromAssemblyContaining<CreateOrganizerWithOrganizationValidator>());
 
             services.AddCors(options =>
@@ -81,5 +72,4 @@
             {
                 endpoints.MapControllerRoute("default", "{controller=Home}/{action=Index}/{id?}");
-                endpoints.MapHangfireDashboard();
             });
         }
Index: src/FinkiChattery/FinkiChattery.Common/Errors/ErrorCodes.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Errors/ErrorCodes.cs	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Common/Errors/ErrorCodes.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,7 +1,6 @@
 ﻿namespace FinkiChattery.Common.Errors
 {
-    public class ErrorCodes
+    public static class ErrorCodes
     {
-        public const string CantBeNull = "CantBeNull";
     }
 }
Index: src/FinkiChattery/FinkiChattery.Common/FinkiChattery.Common.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/FinkiChattery.Common.csproj	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Common/FinkiChattery.Common.csproj	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -3,10 +3,8 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
   <ItemGroup>
     <PackageReference Include="FluentValidation" Version="9.5.4" />
-    <PackageReference Include="Hangfire.Core" Version="1.7.25" />
     <PackageReference Include="MediatR" Version="9.0.0" />
     <PackageReference Include="Microsoft.AspNetCore.Mvc.Abstractions" Version="2.2.0" />
Index: src/FinkiChattery/FinkiChattery.Common/Mediator/EventService.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Mediator/EventService.cs	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Common/Mediator/EventService.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,5 +1,3 @@
-﻿using FinkiChattery.Common.Mediator.Contracs;
-using FinkiChattery.Common.Mediator.Interfaces;
-using Hangfire;
+﻿using FinkiChattery.Common.Mediator.Interfaces;
 
 namespace FinkiChattery.Common.Mediator
@@ -7,20 +5,4 @@
     public class EventService : IEventService
     {
-        public EventService(IBackgroundJobClient backgroundJob)
-        {
-            BackgroundJob = backgroundJob;
-        }
-
-        public IBackgroundJobClient BackgroundJob { get; }
-
-        public void Enqueue(string jobName, IEvent request)
-        {
-            BackgroundJob.Enqueue<IMediatorService>(bridge => bridge.PublishAsync(jobName, request));
-        }
-
-        public void Enqueue(IEvent request)
-        {
-            BackgroundJob.Enqueue<IMediatorService>(bridge => bridge.PublishAsync(request));
-        }
     }
 }
Index: src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IEventService.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IEventService.cs	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IEventService.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,11 +1,6 @@
-﻿using FinkiChattery.Common.Mediator.Contracs;
-
-namespace FinkiChattery.Common.Mediator.Interfaces
+﻿namespace FinkiChattery.Common.Mediator.Interfaces
 {
     public interface IEventService
     {
-        void Enqueue(string jobName, IEvent request);
-
-        void Enqueue(IEvent request);
     }
 }
Index: src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IMediatorService.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IMediatorService.cs	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Common/Mediator/Interfaces/IMediatorService.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -10,12 +10,4 @@
 
         Task<TResponse> SendAsync<TResponse>(ICommand<TResponse> request);
-
-        Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request, CancellationToken cancellationToken);
-
-        Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request);
-
-        Task PublishAsync<TNotification>(TNotification notification) where TNotification : IEvent;
-
-        Task PublishAsync<TNotification>(string jobName, TNotification notification) where TNotification : IEvent;
     }
 }
Index: src/FinkiChattery/FinkiChattery.Common/Mediator/MediatorService.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Common/Mediator/MediatorService.cs	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Common/Mediator/MediatorService.cs	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,6 +1,5 @@
-﻿using FinkiChattery.Common.Mediator.Contracs;
+﻿using MediatR;
+using FinkiChattery.Common.Mediator.Contracs;
 using FinkiChattery.Common.Mediator.Interfaces;
-using MediatR;
-using System.ComponentModel;
 using System.Threading;
 using System.Threading.Tasks;
@@ -26,25 +25,4 @@
             return await mediator.Send(request);
         }
-
-        public async Task PublishAsync<TNotification>(TNotification notification) where TNotification : IEvent
-        {
-            await mediator.Publish(notification, default);
-        }
-
-        [DisplayName("{0}")]
-        public async Task PublishAsync<TNotification>(string jobName, TNotification notification) where TNotification : IEvent
-        {
-            await mediator.Publish(notification, default);
-        }
-
-        public async Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request, CancellationToken cancellationToken)
-        {
-            return await mediator.Send(request, cancellationToken);
-        }
-
-        public async Task<TResponse> SendQueryAsync<TResponse>(IQuery<TResponse> request)
-        {
-            return await mediator.Send(request);
-        }
     }
 }
Index: src/FinkiChattery/FinkiChattery.Contracts/FinkiChattery.Contracts.csproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Contracts/FinkiChattery.Contracts.csproj	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Contracts/FinkiChattery.Contracts.csproj	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -3,5 +3,4 @@
   <PropertyGroup>
     <TargetFramework>netcoreapp3.1</TargetFramework>
-    <Configurations>Debug;Release;Debug_Docker</Configurations>
   </PropertyGroup>
 
Index: src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
   <PropertyGroup>
@@ -8,5 +8,5 @@
     <ProjectVersion>4.1</ProjectVersion>
     <ProjectGuid>{5e1219f5-fc7d-4138-811d-26934e946d30}</ProjectGuid>
-    <DSP>Microsoft.Data.Tools.Schema.Sql.Sql150DatabaseSchemaProvider</DSP>
+    <DSP>Microsoft.Data.Tools.Schema.Sql.Sql130DatabaseSchemaProvider</DSP>
     <OutputType>Database</OutputType>
     <RootPath>
@@ -55,6 +55,6 @@
     <VisualStudioVersion Condition="'$(SSDTExists)' == ''">11.0</VisualStudioVersion>
   </PropertyGroup>
-  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
-  <Import Condition="'$(NetCoreBuild)' != 'true' AND '$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' != ''" Project="$(SQLDBExtensionsRefPath)\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
+  <Import Condition="'$(SQLDBExtensionsRefPath)' == ''" Project="$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\SSDT\Microsoft.Data.Tools.Schema.SqlTasks.targets" />
   <ItemGroup>
     <Folder Include="Properties" />
@@ -66,43 +66,21 @@
     <Folder Include="dbo\Tables\User" />
     <Folder Include="dbo\Tables\User\Seed" />
-    <Folder Include="dbo\Tables\Category" />
-    <Folder Include="dbo\Tables\Team" />
-    <Folder Include="dbo\Tables\Student" />
-    <Folder Include="FullTextSearch" />
-    <Folder Include="dbo\Tables\Answer" />
-    <Folder Include="dbo\Tables\AnswerResponse" />
-    <Folder Include="dbo\Tables\Question" />
-    <Folder Include="dbo\Tables\QuestionCategory" />
-    <Folder Include="Snapshots" />
-    <Folder Include="dbo\Tables\Vote" />
-    <Folder Include="dbo\Tables\Moderator" />
-    <Folder Include="dbo\Tables\StudentNotification" />
   </ItemGroup>
   <ItemGroup>
+    <Build Include="dbo\Tables\Category.sql" />
+    <Build Include="dbo\Tables\Team.sql" />
+    <Build Include="dbo\Tables\Moderator.sql" />
+    <Build Include="dbo\Tables\Student.sql" />
     <Build Include="dbo\Tables\Teacher.sql" />
+    <Build Include="dbo\Tables\Question.sql" />
     <Build Include="dbo\Tables\StudentTeam.sql" />
     <Build Include="dbo\Tables\TeacherTeam.sql" />
+    <Build Include="dbo\Tables\Answer.sql" />
+    <Build Include="dbo\Tables\QuestionCategory.sql" />
+    <Build Include="dbo\Tables\AnswerResponse.sql" />
+    <Build Include="dbo\Tables\Upvote.sql" />
     <Build Include="dbo\Tables\User\AspNetRoleClaims.sql" />
     <Build Include="dbo\Tables\User\AspNetRoles.sql" />
     <None Include="dbo\Tables\User\Seed\Users.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\Category\Category.sql" />
-    <None Include="dbo\Tables\Category\Category.Seed.sql" />
-    <Build Include="dbo\Tables\Team\Team.sql" />
-    <Build Include="dbo\Tables\Student\Student.sql" />
-    <None Include="dbo\Tables\Student\Student.Debug.Seed.sql" />
-    <Build Include="FullTextSearch\FullTextIndexQuestion.sql" />
-    <Build Include="FullTextSearch\QuestionFullTextCatalog.sql" />
-    <Build Include="dbo\Tables\Question\Question.sql" />
-    <None Include="dbo\Tables\Question\Question.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\Answer\Answer.sql" />
-    <None Include="dbo\Tables\Answer\Answer.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\AnswerResponse\AnswerResponse.sql" />
-    <None Include="dbo\Tables\AnswerResponse\AnswerResponse.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\QuestionCategory\QuestionCategory.sql" />
-    <None Include="dbo\Tables\QuestionCategory\QuestionCategory.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\Vote\Vote.sql" />
-    <Build Include="dbo\Tables\Moderator\Moderator.sql" />
-    <None Include="dbo\Tables\Moderator\Moderator.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\StudentNotification\StudentNotification.sql" />
   </ItemGroup>
   <ItemGroup>
@@ -111,5 +89,4 @@
     <PreDeploy Include="dbo\Scripts\Script.PreDeployment.sql" />
     <None Include="FinkiChattery.Database.publish.xml" />
-    <None Include="Snapshots\FinkiChattery.Database_20210922_17-47-58.dacpac" />
   </ItemGroup>
   <ItemGroup>
@@ -135,6 +112,3 @@
     </SqlCmdVariable>
   </ItemGroup>
-  <ItemGroup>
-    <RefactorLog Include="FinkiChattery.Database.refactorlog" />
-  </ItemGroup>
 </Project>
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Debug.PostDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Debug.PostDeployment.sql	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Debug.PostDeployment.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,8 +1,1 @@
-﻿:r ./../../Tables/User/Seed/Users.Debug.Seed.sql
-:r ./../../Tables/Category/Category.Seed.sql
-:r ./../../Tables/Student/Student.Debug.Seed.sql
-:r ./../../Tables/Question/Question.Debug.Seed.sql
-:r ./../../Tables/Answer/Answer.Debug.Seed.sql
-:r ./../../Tables/AnswerResponse/AnswerResponse.Debug.Seed.sql
-:r ./../../Tables/QuestionCategory/QuestionCategory.Debug.Seed.sql
-:r ./../../Tables/Moderator/Moderator.Debug.Seed.sql
+﻿:r .\..\..\Tables\User\Seed\Users.Debug.Seed.sql
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Production.PostDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Production.PostDeployment.sql	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/PostDeploymentScripts/Production.PostDeployment.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -1,1 +1,1 @@
-﻿:r ./../../Tables/Category/Category.Seed.sql
+﻿
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PostDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PostDeployment.sql	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PostDeployment.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -4,5 +4,5 @@
 		PRINT 'Deploying DEBUG scripts';
 	END
-	:r ./PostDeploymentScripts/Debug.PostDeployment.sql
+	:r .\PostDeploymentScripts\Debug.PostDeployment.sql
 	BEGIN --Run scripts 
 		PRINT 'End deploying DEBUG scripts';
@@ -15,5 +15,5 @@
 		PRINT 'Deploying PRODUCTION scripts' 
 	END
-		:r ./PostDeploymentScripts/Production.PostDeployment.sql
+		:r .\PostDeploymentScripts\Production.PostDeployment.sql
 		BEGIN --Run scripts 
 		PRINT 'End deploying PRODUCTION scripts' 
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PreDeployment.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PreDeployment.sql	(revision 6738cc08cebfbe351b250a75ae0aaf1295d2ff22)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Scripts/Script.PreDeployment.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -4,5 +4,5 @@
 		PRINT 'Deploying DEBUG pre deployment scripts';
 	END
-	:r ./PreDeploymentScripts/Debug.PreDeployment.sql
+	:r .\PreDeploymentScripts\Debug.PreDeployment.sql
 	BEGIN --Run scripts 
 		PRINT 'End deploying DEBUG pre deployment scripts';
@@ -15,5 +15,5 @@
 		PRINT 'Deploying PRODUCTION pre deployment scripts' 
 	END
-	:r ./PreDeploymentScripts/Production.PreDeployment.sql
+	:r .\PreDeploymentScripts\Production.PreDeployment.sql
 	BEGIN --Run scripts 
 		PRINT 'End deploying PRODUCTION pre deployment scripts' 
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Answer.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,23 @@
+﻿CREATE TABLE [dbo].[Answer] (
+    [Id]            BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]           UNIQUEIDENTIFIER NOT NULL,
+    [Text]          NVARCHAR (1)     NOT NULL,
+    [QuestionFk]    BIGINT           NOT NULL,
+    [StudentFk]     BIGINT           NOT NULL,
+    [CorrectAnswer] BIT              NOT NULL,
+    [CreatedOn]     SMALLDATETIME    NOT NULL,
+    CONSTRAINT [PK_Answer] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Answer_Question_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Question] ([Id]),
+    CONSTRAINT [FK_Answer_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Answer_QuestionFk]
+    ON [dbo].[Answer]([QuestionFk] ASC);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Answer_StudentFk]
+    ON [dbo].[Answer]([StudentFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/AnswerResponse.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/AnswerResponse.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/AnswerResponse.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,17 @@
+﻿CREATE TABLE [dbo].[AnswerResponse] (
+    [Id]        BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]       UNIQUEIDENTIFIER NOT NULL,
+    [Text]      NVARCHAR (1)     NOT NULL,
+    [AnswerFk]  BIGINT           NOT NULL,
+    [StudentFk] BIGINT           NOT NULL,
+    [CreatedOn] SMALLDATETIME    NOT NULL,
+    CONSTRAINT [PK_AnswerResponse] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_AnswerResponse_Answer_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Answer] ([Id]),
+    CONSTRAINT [FK_AnswerResponse_Student_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Student] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_AnswerResponse_AnswerFk]
+    ON [dbo].[AnswerResponse]([AnswerFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Category.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Category.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Category.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,7 @@
+﻿CREATE TABLE [dbo].[Category] (
+    [Id]   BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]  UNIQUEIDENTIFIER NOT NULL,
+    [Name] NVARCHAR (1)     NOT NULL,
+    CONSTRAINT [PK_Category] PRIMARY KEY CLUSTERED ([Id] ASC)
+);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Moderator.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Moderator.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Moderator.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,13 @@
+﻿CREATE TABLE [dbo].[Moderator] (
+    [Id]                BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]               UNIQUEIDENTIFIER NOT NULL,
+    [ApplicationUserFk] BIGINT           NOT NULL,
+    CONSTRAINT [PK_Moderator] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Moderator_AspNetUsers_ApplicationUserFk] FOREIGN KEY ([ApplicationUserFk]) REFERENCES [dbo].[AspNetUsers] ([Id])
+);
+
+
+GO
+CREATE UNIQUE NONCLUSTERED INDEX [IX_Moderator_ApplicationUserFk]
+    ON [dbo].[Moderator]([ApplicationUserFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Question.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Question.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Question.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,25 @@
+﻿CREATE TABLE [dbo].[Question] (
+    [Id]           BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]          UNIQUEIDENTIFIER NOT NULL,
+    [Title]        NVARCHAR (1)     NOT NULL,
+    [Text]         NVARCHAR (MAX)   NULL,
+    [StudentFk]    BIGINT           NOT NULL,
+    [CreatedOn]    SMALLDATETIME    NOT NULL,
+    [TeamFk]       BIGINT           NULL,
+    [Views]        BIGINT           DEFAULT (CONVERT([bigint],(0))) NOT NULL,
+    [LastActiveOn] SMALLDATETIME    NOT NULL,
+    CONSTRAINT [PK_Question] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Question_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id]),
+    CONSTRAINT [FK_Question_Team_TeamFk] FOREIGN KEY ([TeamFk]) REFERENCES [dbo].[Team] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Question_StudentFk]
+    ON [dbo].[Question]([StudentFk] ASC);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Question_TeamFk]
+    ON [dbo].[Question]([TeamFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/QuestionCategory.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/QuestionCategory.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/QuestionCategory.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,15 @@
+﻿CREATE TABLE [dbo].[QuestionCategory] (
+    [Id]         BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]        UNIQUEIDENTIFIER NOT NULL,
+    [QuestionFk] BIGINT           NOT NULL,
+    [CategoryFk] BIGINT           NOT NULL,
+    CONSTRAINT [PK_QuestionCategory] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_QuestionCategory_Category_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Category] ([Id]),
+    CONSTRAINT [FK_QuestionCategory_Question_QuestionFk] FOREIGN KEY ([QuestionFk]) REFERENCES [dbo].[Question] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_QuestionCategory_QuestionFk]
+    ON [dbo].[QuestionCategory]([QuestionFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Student.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Student.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Student.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,17 @@
+﻿CREATE TABLE [dbo].[Student] (
+    [Id]                BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]               UNIQUEIDENTIFIER NOT NULL,
+    [ApplicationUserFk] BIGINT           NOT NULL,
+    [IndexNumber]       NVARCHAR (1)     NOT NULL,
+    [Reputation]        BIGINT           DEFAULT (CONVERT([bigint],(0))) NOT NULL,
+    [ReportReputation]  BIGINT           DEFAULT (CONVERT([bigint],(0))) NOT NULL,
+    [ImageUrl]          NVARCHAR (1)     NOT NULL,
+    CONSTRAINT [PK_Student] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Student_AspNetUsers_ApplicationUserFk] FOREIGN KEY ([ApplicationUserFk]) REFERENCES [dbo].[AspNetUsers] ([Id])
+);
+
+
+GO
+CREATE UNIQUE NONCLUSTERED INDEX [IX_Student_ApplicationUserFk]
+    ON [dbo].[Student]([ApplicationUserFk] ASC);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Team.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Team.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Team.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,8 @@
+﻿CREATE TABLE [dbo].[Team] (
+    [Id]          BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]         UNIQUEIDENTIFIER NOT NULL,
+    [Name]        NVARCHAR (1)     NOT NULL,
+    [Description] NVARCHAR (1)     NOT NULL,
+    CONSTRAINT [PK_Team] PRIMARY KEY CLUSTERED ([Id] ASC)
+);
+
Index: src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Upvote.sql
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Upvote.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
+++ src/FinkiChattery/FinkiChattery.Database/dbo/Tables/Upvote.sql	(revision e6a6d9ae11319e7403580bef69b0f68e2cddd3ef)
@@ -0,0 +1,20 @@
+﻿CREATE TABLE [dbo].[Upvote] (
+    [Id]        BIGINT           IDENTITY (1, 1) NOT NULL,
+    [Uid]       UNIQUEIDENTIFIER NOT NULL,
+    [StudentFk] BIGINT           NOT NULL,
+    [AnswerFk]  BIGINT           NOT NULL,
+    CONSTRAINT [PK_Upvote] PRIMARY KEY CLUSTERED ([Id] ASC),
+    CONSTRAINT [FK_Upvote_Answer_AnswerFk] FOREIGN KEY ([AnswerFk]) REFERENCES [dbo].[Answer] ([Id]),
+    CONSTRAINT [FK_Upvote_Student_StudentFk] FOREIGN KEY ([StudentFk]) REFERENCES [dbo].[Student] ([Id])
+);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Upvote_AnswerFk]
+    ON [dbo].[Upvote]([AnswerFk] ASC);
+
+
+GO
+CREATE NONCLUSTERED INDEX [IX_Upvote_StudentFk]
+    ON [dbo].[Upvote]([StudentFk] ASC);
+
